Subject: Re: bug#38775: (kbd "C-x ( ... C-x )") gulps "C-x (" and "C-x )"

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 03 May 2022 16:21:50 +0200

Kritixi Lithos <[email-masked]> writes:

> So how would you solve the original problem of calling emacs
> keystrokes with potential keyboard macros inside them?
> `command-execute` appears to use `execute-kbd-macro` according to the
> source, so trying `command-execute` on each keystroke does not work as
> intended with `C-x ( ... C-x )` among the commands.

I've now fixed this in Emacs 29.  `key-parse' now returns [24 40 4 24
41] for that sequence, while `kbd' maintains the backwards-compat code.
(This has been broken for half a year and nobody noticed -- in Emacs 29,
(kbd "C-x ( C-d C-x )") returned "" instead of "^D", so it's debatable
whether it makes sense to keep the compat code, but at least we do for
now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no